<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>EclipseJdt (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="EclipseJdt (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" target="_top">Frames</a></li>
<li><a href="EclipseJdt.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.plugins.ide.eclipse.model</div>
<h2 title="Class EclipseJdt" class="title">Class EclipseJdt</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.plugins.ide.eclipse.model.EclipseJdt</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="strong">EclipseJdt</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">Enables fine-tuning jdt details of the Eclipse plugin

 <pre class='autoTested'>
 apply plugin: 'java'
 apply plugin: 'eclipse'

 eclipse {
   jdt {
     //if you want to alter the java versions (by default they are configured with gradle java plugin settings):
     sourceCompatibility = 1.6
     targetCompatibility = 1.5
     javaRuntimeName = "J2SE-1.5"

     file {
       //whenMerged closure is the highest voodoo
       //and probably should be used only to solve tricky edge cases.
       //the type passed to the closure is <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Jdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>Jdt</code></a>

       //closure executed after jdt file content is loaded from existing file
       //and after gradle build information is merged
       whenMerged { jdt
         //you can tinker with the <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Jdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>Jdt</code></a> here
       }

       //withProperties allows addition of properties not currently
       //modeled by Gradle
       withProperties { properties -&gt;
           //you can tinker with the <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util"><code>Properties</code></a> here
       }
     }
   }
 }
 </pre></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#EclipseJdt(org.gradle.plugins.ide.api.PropertiesFileContentMerger)">EclipseJdt</a></strong>(<a href="../../../../../../org/gradle/plugins/ide/api/PropertiesFileContentMerger.html" title="class in org.gradle.plugins.ide.api">PropertiesFileContentMerger</a>&nbsp;file)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#file(org.gradle.api.Action)">file</a></strong>(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/api/PropertiesFileContentMerger.html" title="class in org.gradle.plugins.ide.api">PropertiesFileContentMerger</a>&gt;&nbsp;action)</code>
<div class="block">Enables advanced configuration like affecting the way existing jdt file content
 is merged with gradle build information</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#file(groovy.lang.Closure)">file</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</code>
<div class="block">Enables advanced configuration like affecting the way existing jdt file content
 is merged with gradle build information</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/plugins/ide/api/PropertiesFileContentMerger.html" title="class in org.gradle.plugins.ide.api">PropertiesFileContentMerger</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#getFile()">getFile</a></strong>()</code>
<div class="block">See <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#file(org.gradle.api.Action)"><code>file(Action)</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#getJavaRuntimeName()">getJavaRuntimeName</a></strong>()</code>
<div class="block">The name of the Java Runtime to use.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#getSourceCompatibility()">getSourceCompatibility</a></strong>()</code>
<div class="block">The source Java language level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#getTargetCompatibility()">getTargetCompatibility</a></strong>()</code>
<div class="block">The target JVM to generate <code>.class</code> files for.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#setJavaRuntimeName(java.lang.String)">setJavaRuntimeName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaRuntimeName)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#setSourceCompatibility(org.gradle.api.JavaVersion)">setSourceCompatibility</a></strong>(<a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;sourceCompatibility)</code>
<div class="block">Sets source compatibility.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#setSourceCompatibility(java.lang.Object)">setSourceCompatibility</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;sourceCompatibility)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#setTargetCompatibility(org.gradle.api.JavaVersion)">setTargetCompatibility</a></strong>(<a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;targetCompatibility)</code>
<div class="block">Sets target compatibility.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#setTargetCompatibility(java.lang.Object)">setTargetCompatibility</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;targetCompatibility)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="EclipseJdt(org.gradle.plugins.ide.api.PropertiesFileContentMerger)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>EclipseJdt</h4>
<pre>public&nbsp;EclipseJdt(<a href="../../../../../../org/gradle/plugins/ide/api/PropertiesFileContentMerger.html" title="class in org.gradle.plugins.ide.api">PropertiesFileContentMerger</a>&nbsp;file)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSourceCompatibility()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceCompatibility</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;getSourceCompatibility()</pre>
<div class="block">The source Java language level.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseJdt</code></a></div>
</li>
</ul>
<a name="setSourceCompatibility(org.gradle.api.JavaVersion)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceCompatibility</h4>
<pre>public&nbsp;void&nbsp;setSourceCompatibility(<a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;sourceCompatibility)</pre>
<div class="block">Sets source compatibility.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setSourceCompatibility(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSourceCompatibility</h4>
<pre>public&nbsp;void&nbsp;setSourceCompatibility(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;sourceCompatibility)</pre>
</li>
</ul>
<a name="getTargetCompatibility()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTargetCompatibility</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;getTargetCompatibility()</pre>
<div class="block">The target JVM to generate <code>.class</code> files for.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseJdt</code></a></div>
</li>
</ul>
<a name="setTargetCompatibility(org.gradle.api.JavaVersion)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetCompatibility</h4>
<pre>public&nbsp;void&nbsp;setTargetCompatibility(<a href="../../../../../../org/gradle/api/JavaVersion.html" title="enum in org.gradle.api">JavaVersion</a>&nbsp;targetCompatibility)</pre>
<div class="block">Sets target compatibility.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setTargetCompatibility(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTargetCompatibility</h4>
<pre>public&nbsp;void&nbsp;setTargetCompatibility(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;targetCompatibility)</pre>
</li>
</ul>
<a name="getJavaRuntimeName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavaRuntimeName</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getJavaRuntimeName()</pre>
<div class="block">The name of the Java Runtime to use.
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseJdt</code></a></div>
</li>
</ul>
<a name="setJavaRuntimeName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJavaRuntimeName</h4>
<pre><a href="../../../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public&nbsp;void&nbsp;setJavaRuntimeName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;javaRuntimeName)</pre>
</li>
</ul>
<a name="getFile()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFile</h4>
<pre>public&nbsp;<a href="../../../../../../org/gradle/plugins/ide/api/PropertiesFileContentMerger.html" title="class in org.gradle.plugins.ide.api">PropertiesFileContentMerger</a>&nbsp;getFile()</pre>
<div class="block">See <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html#file(org.gradle.api.Action)"><code>file(Action)</code></a></div>
</li>
</ul>
<a name="file(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>file</h4>
<pre>public&nbsp;void&nbsp;file(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;closure)</pre>
<div class="block">Enables advanced configuration like affecting the way existing jdt file content
 is merged with gradle build information
 <p>
 The object passed to whenMerged{} and beforeMerged{} closures is of type <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Jdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>Jdt</code></a>
 <p>
 The object passed to withProperties{} closures is of type <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util"><code>Properties</code></a>
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseJdt</code></a></div>
</li>
</ul>
<a name="file(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>file</h4>
<pre>public&nbsp;void&nbsp;file(<a href="../../../../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../../../../org/gradle/plugins/ide/api/PropertiesFileContentMerger.html" title="class in org.gradle.plugins.ide.api">PropertiesFileContentMerger</a>&gt;&nbsp;action)</pre>
<div class="block">Enables advanced configuration like affecting the way existing jdt file content
 is merged with gradle build information
 <p>
 The object passed to whenMerged{} and beforeMerged{} actions is of type <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/Jdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>Jdt</code></a>
 <p>
 The object passed to withProperties{} actions is of type <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util"><code>Properties</code></a>
 <p>
 For example see docs for <a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse.model"><code>EclipseJdt</code></a></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../../org/gradle/plugins/ide/eclipse/model/EclipseModel.html" title="class in org.gradle.plugins.ide.eclipse.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/gradle/plugins/ide/eclipse/model/EclipseJdt.html" target="_top">Frames</a></li>
<li><a href="EclipseJdt.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
